scrot (1.8.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Feb 2023 14:09:57 -0800

scrot (1.8.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Feb 2023 11:48:45 -0300

scrot (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Jan 2023 00:34:18 -0300

scrot (1.8-1) unstable; urgency=medium

  * New upstream version 1.8.
  * debian/control: added libxinerama-dev to Build-Depends field.
  * debian/copyright:
      - Added new copyright holders for upstream.
      - Updated packaging copyright years.
      - Updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Jan 2023 00:43:23 -0300

scrot (1.7-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 22 Nov 2022 13:53:02 -0300

scrot (1.7-1) unstable; urgency=medium

  * New upstream version 1.7.
  * debian/control:
      - Added libbsd-dev to Build-Depends field.
      - Bumped Standards-Version to 4.6.0.1.
      - Minor change in long description.
  * debian/copyright: updated rights for upstream.
  * debian/patches/010_update-autoconf-rules.patch: removed because the
    upstream fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 10 Nov 2021 14:50:35 -0300

scrot (1.6-1) unstable; urgency=medium

  * New upstream version 1.6.
  * debian/control:
      - Build-Depends:
          ~ Added pkg-config, now required by scrot.
          ~ Removed giblib-dev, no longer used by scrot.
          ~ Removed libtool, already provided by dh-autoreconf.
      - Rewritten the long description, following the upstream.
  * debian/copyright:
      - Added new holders as upstream.
      - Removed a block referencing files no longer used in source code
        (src/getopt.c, src/getopt.h and src/getopt1.c).
  * debian/patches/010_update-autoconf-rules.patch: created to update
    configure.am to autoconf >= 2.70.
  * debian/tests/control: removed unneeded ampersand in last test.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 13:55:35 -0300

scrot (1.5-1) unstable; urgency=medium

  * New upstream version 1.5.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright:
      - Added new upstream rights.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Feb 2021 23:08:11 -0300

scrot (1.4-1) unstable; urgency=medium

  * New upstream version 1.4.
  * debian/control:
      - Build-Depends: removed libxcursor-dev and added libxcomposite-dev.
      - Bumped DH level to 13.
  * debian/copyright: added new upstream rights.
  * debian/tests/control: added superficial as restriction to first CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Jul 2020 00:33:37 -0300

scrot (1.3-1) unstable; urgency=medium

  * New upstream version 1.3.
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: added new upstream rights.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 16 Apr 2020 01:44:19 -0300

scrot (1.2-2) unstable; urgency=medium

  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/rules: removed no longer needed variable DEB_LDFLAGS_MAINT_APPEND.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Jan 2020 17:19:31 -0300

scrot (1.2-1) unstable; urgency=medium

  * New upstream version 1.2.
  * debian/copyright: added rights for Santhosh Raju.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Aug 2019 22:47:47 -0300

scrot (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1.
  * debian/control: bumped Standards-Version to 4.4.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 12 Jul 2019 00:55:50 -0300

scrot (1.1-1) unstable; urgency=medium

  * New upstream version 1.1.
  * debian/copyright: added rights for upstream Jade Auer.
  * debian/patches/10_fix-distclean.patch: removed. The
    upstream fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Jul 2019 20:21:16 -0300

scrot (1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jul 2019 11:35:45 -0300

scrot (1.0-1) experimental; urgency=medium

  * New upstream version 1.0.
    (Closes: #685173, #807139, LP: #148659, #371784, #1523212, #1698375)
  * debian/control: added new build dependencies required by current upstream
    version.
  * debian/copyright: added new upstream rights.
  * debian/patches/10_fix-distclean.patch: added to remove a file forgotten
    by the upstream.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jun 2019 11:41:39 -0300

scrot (0.9-1) unstable; urgency=medium

  * New upstream version 0.9.
  * New upstream homepage. Consequently:
      - debian/control: added Homepage field.
      - debian/copyright: updated Source field.
      - debian/watch: updated source to download.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright:
      - Added new rights for the upstream.
      - Updated packaging copyright years.
  * debian/patches/*: removed all patches. The upstream fixed the source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Feb 2019 23:05:30 -0300

scrot (0.8-19) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Updated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright:
      - Added rights for Ondřej Nový.
      - Updated packaging copyright years.
  * debian/patches/12_autoselect.patch: added -a option to provide a
    non-interactively grabbing rectangle. Thanks to Stoney Sauce
    <stoneysauce@gmail.com>. (Closes: #853094)
  * debian/rules: removed '--with autoreconf' because it is default since DH 10.
  * debian/source/include-binaries: removed. This file was listing objects and
    the final binary.
  * debian/tests/*: added to perform trivial tests.

  [ Ondřej Nový ]
  * debian/changelog: remove trailing whitespaces.
  * debian/control: Set Vcs-* to salsa.debian.org.
  * debian/copyright: use https protocol in Format field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Nov 2018 21:11:30 -0200

scrot (0.8-18) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Removed the Homepage field. It is offline.
      - Removed unnecessary dependency autotools-dev.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - 10_improve-hardening.patch: created to fix the GCC hardening.
      - 11_fix-spelling-manpage.patch: created to fix some spelling
        errors in manpage.
      - fix-makefile: renamed to 09_fix-makefile.patch.
      - Deleted the useless and duplicate 003_descmanpage.patch file.
  * debian/rules: added the DEB_LDFLAGS_MAINT_APPEND variable to avoid an
    unnecessary linking against a library.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.
      - Using NoSite instead of NoTracking.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Nov 2016 13:04:53 -0200

scrot (0.8-17) unstable; urgency=medium

  * debian/README.Debian: added to explain about the use with cron.
  * debian/watch: added a fake site to explain about the current status
      of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Sep 2015 17:09:45 -0300

scrot (0.8-16) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules: removed some unused lines.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 May 2015 23:33:01 -0300

scrot (0.8-15) experimental; urgency=medium

  * debian/control: added the Vcs-* fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Apr 2015 09:43:56 -0300

scrot (0.8-14) experimental; urgency=medium

  * New maintainer. Thanks to William Vera for your work over this package.
      (Closes: #781959)
  * Migrations:
      - debian/copyright to format 1.0.
      - DH level to 9.
      - Using autoreconf.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the long description.
      - Removed the obsolete field DM-Upload-Allowed.
      - Updated the Homepage field.
  * debian/copyright:
      - Updated all information.
      - Using BSD-3-clause for debian/ directory.
  * debian/patches/:
      - Added fix-makefile patch to do not install unnecessary files.
      - Renamed 003 patch to 03.
      - Updated all headers in all patches.
  * debian/README.source: removed (deprecated information).
  * debian/rules:
      - Added the variable DEB_BUILD_MAINT_OPTIONS to solve the issues shown
        by blhc command.
      - Removed some useless lines.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Apr 2015 21:32:57 -0300

scrot (0.8-13) unstable; urgency=low

  * Changed patch system to 'quilt'

 -- William Vera <billy@billy.com.mx>  Tue, 20 Jul 2010 16:32:55 -0500

scrot (0.8-12) unstable; urgency=low

  * Added a patch to fix missing option for beep prevention.
    (Closes: #586769) Thanks to Ibragimov Rinat
  * Updated Standards Version to 3.9.0.
  * Updated debhelper version.
  * Added ${misc:Depends} in control file.
  * Added DM Upload Allowed in control file.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Added a patch to fix a minus sign in a manpage.

 -- William Vera <billy@billy.com.mx>  Wed, 30 Jun 2010 10:00:05 -0500

scrot (0.8-11) unstable; urgency=low

  * Changed the Homepage field on control file (Closes: #547486).
  * Updated Standards Version to 3.8.1.
  * Added a patch to improve spacing in manual page (Closes: #549123).
  * Added a README.source (dpatch).
  * Added a patch to prevent arbitrary long file names (Closes: #354662).

 -- William Vera <billy@billy.com.mx>  Sun, 25 Oct 2009 19:48:21 -0600

scrot (0.8-10) unstable; urgency=low

  * Added a patch to automatically choose focused window (Closes: #245266).
  * New patch to add this function at he manpage.

 -- William Vera <billy@billy.com.mx>  Tue, 19 May 2009 09:27:27 -0500

scrot (0.8-9) unstable; urgency=low

  * Changed the description on manpage (Closes: #469914).
  * Updated the Standards-Version to 3.8.1.
  * Fixed deprecated dh_clean -k in debian/rules file.

 -- William Vera <billy@billy.com.mx>  Wed, 13 May 2009 06:48:15 -0500

scrot (0.8-8) unstable; urgency=low

  * New maintainer (Closes: #492502).
  * Updated Standards Version to 3.8.0
  * Added autotools-dev as Build-Depend.
  * Added watch file.
  * Added a patch to fix a minor error on manpage.
  * Set auto update libtool at debian/rules.
  * Deleted CDBS from control file.
  * Added a patch to fix options.c.

 -- William Vera <billy@billy.com.mx>  Fri, 15 Aug 2008 00:26:13 -0500

scrot (0.8-7) unstable; urgency=low

  * removed build dependency on xlibs-dev

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  9 Jan 2006 00:10:21 -0500

scrot (0.8-6) unstable; urgency=low

  * corrected typos. Reported by Martin Pool. Thanks. Closes: #233835
  * removed "(s)" from debian/copyright, lintian warning

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 20 Feb 2004 13:12:04 -0500

scrot (0.8-5) unstable; urgency=low

  * removed -lfreetype and other extra linker flags
  * update to Standards-Version: 3.6.1.0

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 28 Oct 2003 20:26:39 -0500

scrot (0.8-4) unstable; urgency=low

  * src/Makefile*: replace @IMLIB2LIBS@ and @GIBLIBS@ with -lgiblib

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 28 Oct 2003 19:31:37 -0500

scrot (0.8-3) unstable; urgency=low

  * src/Makefile.in: strip -ttf from scrot_LDADD, temp hack for mips*

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 20 Oct 2003 23:13:50 -0400

scrot (0.8-2) unstable; urgency=low

  * shooting rubberbands at arm, mips and mipsel build failures

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Oct 2003 14:00:48 -0400

scrot (0.8-1) unstable; urgency=low

  * New upstream release
  * converted to CDBS

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 26 Sep 2003 00:03:06 -0400

scrot (0.7-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 28 Feb 2003 00:23:01 -0500

scrot (0.6-2) unstable; urgency=low

  * maintenance update: debhelper version, standards version, etc

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 22 Nov 2002 04:00:16 -0500

scrot (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/changelog: removed user emacs mode settings

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 17 Dec 2001 09:27:48 -0500

scrot (0.5-1) unstable; urgency=low

  * new upstream release
  * updated package description, Closes: #93823
  * changed section from x11 to graphics

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  2 May 2001 21:40:26 -0400

scrot (0.3-2) unstable; urgency=low

  * Build-Depends typo corrected, closes: #77179

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 16 Nov 2000 10:27:21 -0500

scrot (0.3-1) unstable; urgency=low

  * Initial release

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 30 Oct 2000 20:11:13 -0500
